### Constructor

# FwupdPlugin IOChannel virtual_new

#### Declaration [src]

    FuIOChannel*
    fu_io_channel_virtual_new (
      const gchar* name,
      GError** error
    )

#### Description [src]

Creates a new virtual object to write and/or read from.

Available since: | 2.0.0

#### Parameters

`name` | `const gchar*`
| Memfd name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuIOChannel`
| A `FuIOChannel`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.